Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.lifecycle
Class MyStartableLifecycleStrategy

    java.lang.Object
      org.picocontainer.lifecycle.AbstractMonitoringLifecycleStrategy
          org.picocontainer.lifecycle.StartableLifecycleStrategy
              org.picocontainer.lifecycle.MyStartableLifecycleStrategy

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentMonitorStrategy, org.picocontainer.LifecycleStrategy

    public class MyStartableLifecycleStrategy

extends org.picocontainer.lifecycle.StartableLifecycleStrategy

See Also:
  Serialized Form

Constructor Summary
`MyStartableLifecycleStrategy()`

Method Summary
`protected Class` | `getDisposableInterface()`
`protected String` | `getDisposeMethodName()`
`protected Class` | `getStartableInterface()`
`protected String` | `getStartMethodName()`
`protected String` | `getStopMethodName()`

Methods inherited from class org.picocontainer.lifecycle.StartableLifecycleStrategy
`dispose, disposeComponent, hasLifecycle, start, startComponent, stop, stopComponent`

Methods inherited from class org.picocontainer.lifecycle.AbstractMonitoringLifecycleStrategy
`changeMonitor, currentMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyStartableLifecycleStrategy

    public MyStartableLifecycleStrategy()

Method Detail

### getStopMethodName

    protected String getStopMethodName()

  Overrides:
    `getStopMethodName` in class `org.picocontainer.lifecycle.StartableLifecycleStrategy`

### getStartMethodName

    protected String getStartMethodName()

  Overrides:
    `getStartMethodName` in class `org.picocontainer.lifecycle.StartableLifecycleStrategy`

### getDisposeMethodName

    protected String getDisposeMethodName()

  Overrides:
    `getDisposeMethodName` in class `org.picocontainer.lifecycle.StartableLifecycleStrategy`

### getStartableInterface

    protected Class getStartableInterface()

  Overrides:
    `getStartableInterface` in class `org.picocontainer.lifecycle.StartableLifecycleStrategy`

### getDisposableInterface

    protected Class getDisposableInterface()

  Overrides:
    `getDisposableInterface` in class `org.picocontainer.lifecycle.StartableLifecycleStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.